// Copyright (c) 2019-present,  SurfStudio LLC
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

import 'dart:ui';

import 'package:flutter/material.dart';

// Семантические алиасы
// Пополняютсфя по мере необходимости
// Используют только основную палитру
const Color colorAccent = _purple,
    colorError = _freeSpeechRed,
    colorRed = _alizarin,
    btnColor = _alizarin,
    secondaryBtnColor = _alizarin_10,
    hintColor = _darkGrey,
    secondaryColor = _darkGrey,
    darkSecondaryColor = _empress,
    disabledBgColor = _whiteSmoke,
    checkColor = _green,
    backgroundColor = _pastelWhite,
    appBarColor = _white,
    white = _white,
    dividerColor = _solitude,
    textColorSecondary = _darkGrey,
    textColorSecondaryDark = _darkGrey,
    textColorPrimary = _oxxfordBlue,
    textColorRed = _alizarin,
    textColorError = colorError,
    textColorGrey = _grey,
    textColorGreen = _green;

// Основная палитра (http://www.color-blindness.com/color-name-hue/)
const Color _green = const Color(0xFF48AD41),
    _oxxfordBlue = const Color(0xFF263238),
    _purple = const Color(0xFF7A3E93),
    _freeSpeechRed = const Color(0xFFB00000),
    _alizarin = const Color(0xFFE31E24),
    _alizarin_10 = const Color(0xFFF8E4E5),
    _white = Colors.white,
    _pastelWhite = const Color(0xFFFAFAFA),
    _solitude = const Color(0xFFE5E8EB),
    _darkGrey = const Color(0xFFA7A7A7),
    _whiteSmoke = const Color(0xFFEEEEEE),
    _grey = const Color(0x8A000000),
    _empress = const Color(0xFF757575);
