// Copyright (c) 2019-present,  SurfStudio LLC
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

import 'package:surf_network/src/base/config/log_config.dart';

///Http configuration
class HttpConfig {
  final String baseUrl;
  final Duration timeout;
  final String proxyUrl;

  ///config for logging requests
  ///
  ///if null - requests will not logging
  final LogConfig logConfig;

  HttpConfig(
    this.baseUrl,
    this.timeout, {
    this.proxyUrl,
    this.logConfig,
  });
}
